//////////////////////////////////////////////////////////////////////////
// UVRip 1.05 by Bendy's 3D Systems
// Copyright (c) 1999
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// The complete GNU public license can be found in this directory.
//
// Explicit permission is given to link this file with the 
// tsxapi.lib library supplied with the trueSpace API
// Software Developers Kit
//////////////////////////////////////////////////////////////////////////
#if !defined(AFX_RIPWND_H__620EEBD2_F527_11D2_99DD_00000100B632__INCLUDED_)
#define AFX_RIPWND_H__620EEBD2_F527_11D2_99DD_00000100B632__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// RipWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRipWnd window
#include	"rgba.h"
class CRipWnd : public CStatic
{
// Construction
public:
	CRipWnd();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRipWnd)
	public:
	virtual BOOL DestroyWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void getSize(int &wid, int &hgt);
	void newImage(rgba *fgimage);
	virtual ~CRipWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(CRipWnd)
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	RECT m_clientrect;
	int m_height;
	int m_width;
	void createImages(void);
	CBitmap * m_bgimage;
	CBitmap * m_image;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RIPWND_H__620EEBD2_F527_11D2_99DD_00000100B632__INCLUDED_)
