//////////////////////////////////////////////////////////////////////////
// UVRip 1.05 by Bendy's 3D Systems
// Copyright (c) 1999
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// The complete GNU public license can be found in this directory.
//
// Explicit permission is given to link this file with the 
// tsxapi.lib library supplied with the trueSpace API
// Software Developers Kit
//////////////////////////////////////////////////////////////////////////
// Main UVRip implementation file. Created automatically by 
// Microsoft Developer Studio.
// Here the controlling class of the TSX is defined.
// This class stores and controls the dialog box

#if !defined(AFX_UVRip_H__C8C70235_75B4_11D1_816E_000001069287__INCLUDED_)
#define AFX_UVRip_H__C8C70235_75B4_11D1_816E_000001069287__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

class CTSXDIALOG;	// defined later

/////////////////////////////////////////////////////////////////////////////
// CUVRipApp
// See UVRip.cpp for the implementation of this class
//

class CUVRipApp : public CWinApp
{
public:
	CUVRipApp();

	// Member functions to control the dialog box
	void ShowDialog();
	void HideDialog();
	CTSXDIALOG* GetDialog();

public:
	// Virtual overides of init and exit functions
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUVRipApp)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CUVRipApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	// The dialog box
	CTSXDIALOG	*m_pDlg;
	// Is this TSX active or not?
	static	BOOL	sm_bIsActive;

public:
	// Functions to manipulte the active variable.
	static BOOL IsActive() { return sm_bIsActive; }
	static void SetActive() { sm_bIsActive=TRUE; }
	static void UnsetActive() { sm_bIsActive=FALSE; }

};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UVRip_H__C8C70235_75B4_11D1_816E_000001069287__INCLUDED_)
